> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter assunto



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /crm/assuntos/{idAssunto}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /crm/assuntos/{idAssunto}:
    get:
      tags:
        - CRM
      summary: Obter assunto
      operationId: ObterCrmAssuntoAction
      parameters:
        - $ref: '#/components/parameters/get_crm_assuntos_idAssunto_idAssunto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrmAssuntoDetalheResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_crm_assuntos_idAssunto_idAssunto:
      name: idAssunto
      in: path
      description: Identificador do assunto
      required: true
      schema:
        type: integer
  schemas:
    CrmAssuntoDetalheResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/CrmAssuntoResponseBaseModel'
        - properties:
            acoesRecentes:
              oneOf:
                - $ref: '#/components/schemas/CrmAcoesListResponseModel'
              nullable: true
            anotacoesRecentes:
              oneOf:
                - $ref: '#/components/schemas/CrmAnotacoesListResponseModel'
              nullable: true
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    CrmAssuntoResponseBaseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        assunto:
          type: string
        cliente:
          oneOf:
            - $ref: '#/components/schemas/CrmClienteResumoModel'
          nullable: true
        estagio:
          oneOf:
            - $ref: '#/components/schemas/CrmAssuntoEstagioResponseModel'
          nullable: true
        estrela:
          type: boolean
        arquivado:
          type: boolean
        data:
          type: string
          example: '2024-01-01'
          nullable: true
        dataAtualizacao:
          type: string
          example: '2024-01-01 00:00:00'
          nullable: true
      type: object
    CrmAcoesListResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/CrmBaseListResponseModel'
        - properties:
            itens:
              type: array
              items:
                $ref: '#/components/schemas/ListagemCrmAssuntoAcoesResponseModel'
          type: object
    CrmAnotacoesListResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/CrmBaseListResponseModel'
        - properties:
            itens:
              type: array
              items:
                $ref: '#/components/schemas/CrmAnotacaoResponseModel'
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    CrmClienteResumoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            pessoaContato:
              $ref: '#/components/schemas/CrmPessoaContatoModel'
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
            statusCrm:
              description: |-

                - L - Lead
                - P - Prospect
                - C - Cliente
                - I - Inativo
              type: string
              enum:
                - L
                - P
                - C
                - I
              nullable: true
              x-enumDescriptions:
                - L - Lead
                - P - Prospect
                - C - Cliente
                - I - Inativo
          type: object
    CrmAssuntoEstagioResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            descricao:
              type: string
              nullable: true
          type: object
    CrmBaseListResponseModel:
      title: ' '
      description: ' '
      properties:
        limit:
          type: integer
        total:
          type: integer
      type: object
    ListagemCrmAssuntoAcoesResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            descricao:
              type: string
              nullable: true
            dataCriacao:
              type: string
              example: '2024-01-01'
              nullable: true
            tipoData:
              description: |-

                - D - Data
                - Q - Quanto Antes
                - E - Esperar
                - N - Sem Data
              type: string
              enum:
                - D
                - Q
                - E
                - 'N'
              nullable: true
              x-enumDescriptions:
                - D - Data
                - Q - Quanto Antes
                - E - Esperar
                - N - Sem Data
            data:
              type: string
              example: '2024-01-01 00:00:00'
              nullable: true
            idUsuario:
              $ref: '#/components/schemas/CrmUsuarioResumoModel'
            idUsuarioResponsavel:
              $ref: '#/components/schemas/CrmUsuarioResumoModel'
            acaoConcluida:
              description: Indica se a ação foi concluída
              type: boolean
              nullable: true
            dataConcluida:
              type: string
              example: '2024-01-01'
              nullable: true
          type: object
    CrmAnotacaoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            data:
              type: string
              example: '2024-01-01'
              nullable: true
            anotacao:
              type: string
              nullable: true
            usuario:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/CrmUsuarioResumoModel'
          type: object
    CrmPessoaContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            ramal:
              type: string
              nullable: true
            departamento:
              type: string
              nullable: true
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
    CrmUsuarioResumoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````